Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\MVC\Symfony\View\Provider\Configured Class Reference

Base for View Providers. More...

Inheritance diagram for eZ\Publish\Core\MVC\Symfony\View\Provider\Configured:

## Public Member Functions
| __construct (MatcherFactoryInterface $matcherFactory)
| getView (View $view)

## Protected Member Functions
| buildContentView (array $viewConfig)
| Builds a ContentView object from $viewConfig. More...

## Protected Attributes
| $matcherFactory

## Detailed Description

Base for View Providers.

Definition at line 18 of file Publish/Core/MVC/Symfony/View/Provider/Configured.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\MVC\Symfony\View\Provider\Configured::__construct | ( | MatcherFactoryInterface | $matcherFactory | ) |

Parameters

  \eZ\Publish\Core\MVC\Symfony\Matcher\MatcherFactoryInterface | $matcherFactory |

Definition at line 26 of file Publish/Core/MVC/Symfony/View/Provider/Configured.php.

References eZ\Publish\Core\MVC\Symfony\View\Provider\Configured\$matcherFactory.

## Member Function Documentation

## ◆ buildContentView()

eZ\Publish\Core\MVC\Symfony\View\Provider\Configured::buildContentView | ( | array | $viewConfig | ) |
| protected

Builds a ContentView object from $viewConfig.

Parameters

  array | $viewConfig |

Returns
  ContentView

Definition at line 47 of file Publish/Core/MVC/Symfony/View/Provider/Configured.php.

Referenced by eZ\Publish\Core\MVC\Symfony\View\Provider\Configured\getView().

## ◆ getView()

eZ\Publish\Core\MVC\Symfony\View\Provider\Configured::getView | ( | View | $view | ) |

Returns
  View

Implements eZ\Publish\Core\MVC\Symfony\View\ViewProvider.

Definition at line 31 of file Publish/Core/MVC/Symfony/View/Provider/Configured.php.

References eZ\Publish\Core\MVC\Symfony\View\Provider\Configured\buildContentView().

## Member Data Documentation

## ◆ $matcherFactory

eZ\Publish\Core\MVC\Symfony\View\Provider\Configured::$matcherFactory
| protected

Definition at line 21 of file Publish/Core/MVC/Symfony/View/Provider/Configured.php.

Referenced by eZ\Publish\Core\MVC\Symfony\View\Provider\Configured\__construct().

The documentation for this class was generated from the following file:

- Publish/Core/MVC/Symfony/View/Provider/Configured.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.